Index: /palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 565)
+++ /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 566)
@@ -26,5 +26,6 @@
       print("Neither the personal configuration file '.ncl.config' exists in")
       print("~/palm/current_version")
-      print("nor the default configuration file '.ncl.config.default' exists in")
+      print("nor the default configuration file '.ncl.config.default' "+\
+            "exists in")
       print(palm_bin_path + "/NCL")
       print(" ")
@@ -49,6 +50,18 @@
 
    ; ***************************************************
-   ; set default parameter values and strings if not assigned in prompt or parameter list
+   ; set default parameter values and strings if not assigned 
+   ; in prompt or parameter list
    ; ***************************************************
+
+   ; Selection of type of cross section is done in palmplot
+   if (.not. isvar("xyc"))then        
+      xyc = 0	
+   end if
+   if (.not. isvar("xzc"))then  
+      xzc = 0	
+   end if
+   if (.not. isvar("yzc"))then     
+      yzc = 0
+   end if
    
    if (file_1 .EQ. "File in") then
@@ -61,5 +74,8 @@
    end if
 
-   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm" .AND. format_out .NE. "png")then
+   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND.   \
+       format_out .NE. "eps" .AND. format_out .NE. "ps" .AND.    \
+       format_out .NE. "epsi" .AND. format_out .NE. "ncgm" .AND. \
+       format_out .NE. "png") then
       print(" ")
       print("'format_out = "+format_out+"' is invalid and set to'x11'")
@@ -91,5 +107,6 @@
    end if
 
-   if (fill_mode .NE. "AreaFill" .AND. fill_mode .NE. "RasterFill" .AND. fill_mode .NE. "CellFill") then
+   if (fill_mode .NE. "AreaFill" .AND. fill_mode .NE. "RasterFill" .AND.\
+       fill_mode .NE. "CellFill") then
       print(" ")
       print("'fill_mode'= "+fill_mode+" is invalid and set to 'AreaFill'")
@@ -196,5 +213,6 @@
    if (start_f .EQ. -1)then
       print(" ")
-      print("'start_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print("'start_f' must be one of the cyclic numbers (at least 0) "+\
+            "of your input file(s)")
       print(" ")  
       exit
@@ -202,5 +220,6 @@
    if (end_f .EQ. -1)then
       print(" ")
-      print("'end_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print("'end_f' must be one of the cyclic numbers (at least 0) of "+\
+            "your input file(s)")
       print(" ")  
       exit
@@ -349,8 +368,9 @@
    vecres                          = True
    cs_res@gsnYAxisIrregular2Linear = True  
+   vecres@gsnYAxisIrregular2Linear = True
   
    cs_res@gsnDraw                 = False
    cs_res@gsnFrame                = False
-    cs_res@gsnMaximize                = True
+   cs_res@gsnMaximize                = True
    
    cs_res@tmXBLabelFontHeightF   = font_size
@@ -404,5 +424,6 @@
       if (start_time_step .GT. t_all(nt-1)/3600)
          print(" ")
-         print("'start_time_step' = "+ start_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print("'start_time_step' = "+ start_time_step +"h is greater than "+\
+               "last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
          print("Select another 'start_time_step'")
@@ -412,5 +433,6 @@
       if (start_time_step .LT. t_all(0)/3600)
          print(" ")
-         print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print("'start_time_step' = "+ start_time_step +"h is lower than "+\
+               "first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
          print(" ")
          print("Select another 'start_time_step'")
@@ -420,5 +442,6 @@
    end if
    do i=0,nt-1    
-      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
+      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. \
+          start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
          break
@@ -444,5 +467,6 @@
       if (end_time_step .LT. t_all(0)/3600)
          print(" ")
-         print("'end_time_step' = "+end_time_step+ "h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print("'end_time_step' = "+end_time_step+ "h is lower than "+\
+               "first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
          print(" ")
          print("Select another 'end_time_step'")
@@ -452,5 +476,6 @@
       if (end_time_step .GT. t_all(nt-1)/3600)
          print(" ")
-         print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print("'end_time_step' = "+ end_time_step +"h is greater than "+\
+               "last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
          print("Select another 'end_time_step'")  
@@ -460,5 +485,6 @@
       if (end_time_step .LT. start_time_step/3600)
          print(" ")
-         print("'end_time_step' = "+ end_time_step +"h is lower than 'start_time_step' = "+start_time_step+"h")
+         print("'end_time_step' = "+ end_time_step +"h is lower than "+\
+               "'start_time_step' = "+start_time_step+"h")
          print(" ")
          print("Select another 'start_time_step' or 'end_time_step'")
@@ -468,5 +494,6 @@
    end if
    do i=0,nt-1     
-      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
+      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. \
+          end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          et=i
          break
@@ -489,6 +516,8 @@
 
    print(" ")
-   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
-   print("                     till "+t_all(end_time_step)/3600+" h = "+t_all(end_time_step)+" s => index = "+end_time_step)
+   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+\
+                t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(end_time_step)/3600+" h = "  +\
+                t_all(end_time_step)+" s => index = "+end_time_step)
    print(" ")
   
@@ -502,5 +531,6 @@
       if (vec1 .EQ. "component1") then
          print(" ")
-         print("Indicate Vector 1 ('vec1') for Vector-Plot or set 'vector' to 0")
+         print("Indicate Vector 1 ('vec1') for Vector-Plot or "+\
+               "set 'vector' to 0")
          print(" ")
          exit
@@ -508,5 +538,6 @@
       if (vec2 .EQ. "component2") then
          print(" ")
-         print("Indicate Vector 2 ('vec2') for Vector-Plot or set 'vector' to 0")
+         print("Indicate Vector 2 ('vec2') for Vector-Plot or "+\
+               "set 'vector' to 0")
          print(" ")
          exit
@@ -571,5 +602,6 @@
       end do
       do varn=0,dim-1   
-         if (vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "zu" .OR. vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d") then
+         if (vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "zu" .OR. \
+             vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d") then
             z_d     = f_att->$vNam(varn)$
             zdim    = dimsizes(z_d)-1 
@@ -607,5 +639,6 @@
       end do
       do varn=0,dim-1 
-         if (vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "zu" .OR. vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d") then
+         if (vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "zu" .OR. \
+             vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d") then
             z_d     = f_att->$vNam(varn)$
             zdim    = dimsizes(z_d)-1 
@@ -642,5 +675,6 @@
       if (delta_x .EQ. -1) then
          print(" ") 
-         print("You cannot choose a start value for x, there are preseted layers for x")
+         print("You cannot choose a start value for x, "+\
+               "there are preset layers for x")
          print(" ")
          xstart=0
@@ -649,5 +683,6 @@
       if (delta_x .EQ. -1) then
          print(" ") 
-         print("You cannot choose a start value for x, there are preseted layers for x")
+         print("You cannot choose a start value for x, "+\
+               "there are preset layers for x")
          print(" ")
          xstart=0
@@ -655,5 +690,6 @@
          if (xs .LT. 0-delta_x/2) then
             print(" ")
-            print("range start for x-coordinate = "+xs+"m is lower than first value = "+(0-delta_x/2)+"m")
+            print("range start for x-coordinate = "+\
+                   xs+"m is lower than first value = "+(0-delta_x/2)+"m")
             print(" ")
             exit
@@ -662,5 +698,7 @@
             if (xs .GE. xdim*delta_x) then
                print(" ")
-               print("range start for x-coordinate = "+xs+"m is equal or greater than last value = "+xdim*delta_x+"m")
+               print("range start for x-coordinate = "+\
+                     xs+"m is equal or greater than last value = "+\
+                     xdim*delta_x+"m")
                print(" ")
                exit
@@ -669,5 +707,7 @@
             if (xs .GT. xdim*delta_x) then
                print(" ")
-               print("range start for x-coordinate = "+xs+"m is greater than last value = "+xdim*delta_x+"m")
+               print("range start for x-coordinate = "+\
+                     xs+"m is greater than last value = "+\
+                     xdim*delta_x+"m")
                print(" ")
                exit
@@ -681,5 +721,6 @@
       if (delta_y .EQ. -1) then
          print(" ") 
-         print("You cannot choose a start value for y, there are preseted layers for y")
+         print("You cannot choose a start value for y, "+\
+               "there are preset layers for y")
          print(" ")
          ystart=0
@@ -688,5 +729,6 @@
       if (delta_y .EQ. -1) then
          print(" ") 
-         print("You cannot choose a start value for y, there are preseted layers for y")
+         print("You cannot choose a start value for y, "+\
+                "there are preset layers for y")
          print(" ")
          ystart=0
@@ -694,5 +736,6 @@
          if (ys .LT. 0-delta_y/2) then
             print(" ")
-            print("range start for y-coordinate = "+ys+"m is lower than first value = "+0-delta_y/2+"m")
+            print("range start for y-coordinate = "+\
+                  ys+"m is lower than first value = "+0-delta_y/2+"m")
             print(" ")
             exit
@@ -701,5 +744,7 @@
             if (ys .GE. ydim*delta_y) then
                print(" ")
-               print("range start for y-coordinate = "+ys+"m is equal or greater than last value = "+ydim*delta_y+"m")
+               print("range start for y-coordinate = "+\
+                     ys+"m is equal or greater than last value = "+\
+                     ydim*delta_y+"m")
                print(" ")
                exit
@@ -708,5 +753,6 @@
             if (ys .GT. ydim*delta_y) then
                print(" ")
-               print("range start for y-coordinate = "+ys+"m is greater than last value = "+ydim*delta_y+"m")
+               print("range start for y-coordinate = "+\
+                     ys+"m is greater than last value = "+ydim*delta_y+"m")
                print(" ")
                exit
@@ -720,5 +766,6 @@
       if (delta_z .EQ. -1) then
          print(" ") 
-         print("You cannot choose a start value for z, there are preseted layers for z")
+         print("You cannot choose a start value for z, "+\
+               "there are preset layers for z")
          print(" ")
       end if
@@ -726,5 +773,6 @@
       if (delta_z .EQ. -1) then
          print(" ") 
-         print("You cannot choose a start value for z, there are preseted layers for z")
+         print("You cannot choose a start value for z, "+\
+               "there are preset layers for z")
          print(" ")
          zs = 0
@@ -732,5 +780,6 @@
          if (zs .LT. 0) then
             print(" ")
-            print("range start for z-coordinate = "+zs+" is lower than first gridpoint = 0")
+            print("range start for z-coordinate = "+\
+                  zs+" is lower than first gridpoint = 0")
             print(" ")
             exit
@@ -739,5 +788,6 @@
             if (zs .GE. zdim) then
                print(" ")
-               print("range start for z-coordinate = "+zs+" is equal or greater than last gridpoint = "+zdim)
+               print("range start for z-coordinate = "+\
+                     zs+" is equal or greater than last gridpoint = "+zdim)
                print(" ")
                exit
@@ -746,5 +796,6 @@
             if (zs .GT. zdim) then
                print(" ")
-               print("range start for z-coordinate = "+zs+" is greater than last gridpoint = "+zdim)
+               print("range start for z-coordinate = "+\
+                     zs+" is greater than last gridpoint = "+zdim)
                print(" ")
                exit
@@ -758,5 +809,6 @@
       if (delta_x .EQ. -1) then
          print(" ") 
-         print("You cannot choose an end value for x, there are preseted layers for x")
+         print("You cannot choose an end value for x, "+\
+               "there are preset layers for x")
          print(" ")
          xend=xdim
@@ -765,5 +817,6 @@
       if (delta_x .EQ. -1) then
          print(" ") 
-         print("You cannot choose an end value for x, there are preseted layers for x")
+         print("You cannot choose an end value for x, "+\
+               "there are preset layers for x")
          print(" ")
          xend=xdim
@@ -771,5 +824,6 @@
          if (xe .GT. xdim*delta_x) then
             print(" ")
-            print("range end for x-coordinate = "+xe+"m is greater than last value = "+xdim*delta_x+"m")
+            print("range end for x-coordinate = "+\
+                  xe+"m is greater than last value = "+xdim*delta_x+"m")
             print(" ") 
             exit 
@@ -778,5 +832,7 @@
             if (xe .LE. 0-delta_x/2)
                print(" ")
-               print("range end for x-coordinate = "+xe+"m is equal or lower than first value = "+(0-delta_x/2)+"m")
+               print("range end for x-coordinate = "+\
+                     xe+"m is equal or lower than first value = "+\
+                     (0-delta_x/2)+"m")
                print(" ")
                exit
@@ -784,5 +840,6 @@
             if (xe .LE. xs) then
                print(" ")
-               print("range end for x-coordinate = "+xe+"m is equal or lower than start range = "+xs+"m")
+               print("range end for x-coordinate = "+\
+                     xe+"m is equal or lower than start range = "+xs+"m")
                print(" ")
                exit
@@ -790,5 +847,7 @@
             if (xe .EQ. xs+1) then
                print(" ")
-               print("range end for x-coordinate = "+xe+"m must be at least two more gridpoints greater than start range = "+xs+"m")
+               print("range end for x-coordinate = "+\
+                     xe+"m must be at least two more gridpoints "+\
+                     "greater than start range = "+xs+"m")
                print(" ")
                exit
@@ -797,5 +856,6 @@
             if (xe .LT. 0-delta_x/2)
                print(" ")
-               print("range end for x-coordinate = "+xe+"m is lower than first value = "+(0-delta_x/2)+"m")
+               print("range end for x-coordinate = "+\
+                     xe+"m is lower than first value = "+(0-delta_x/2)+"m")
                print(" ")
                exit
@@ -803,5 +863,6 @@
             if (xe .LT. xs) then
                print(" ")
-               print("range end for x-coordinate = "+xe+"m is lower than start range = "+xs+"m")
+               print("range end for x-coordinate = "+\
+                     xe+"m is lower than start range = "+xs+"m")
                print(" ")
                exit
@@ -815,5 +876,6 @@
       if (delta_y .EQ. -1) then
          print(" ") 
-         print("You cannot choose an end value for y, there are preseted layers for y")
+         print("You cannot choose an end value for y, "+\
+               "there are preset layers for y")
          print(" ")
          yend=ydim
@@ -822,5 +884,6 @@
       if (delta_y .EQ. -1) then
          print(" ") 
-         print("You cannot choose an end value for y, there are preseted layers for y")
+         print("You cannot choose an end value for y, "+\
+               "there are preset layers for y")
          print(" ")
          yend=ydim
@@ -828,5 +891,6 @@
          if (ye .GT. ydim*delta_y) then
             print(" ")
-            print("range end for y-coordinate = "+ye+"m is greater than last value = "+ydim*delta_y+"m")
+            print("range end for y-coordinate = "+\
+                  ye+"m is greater than last value = "+ydim*delta_y+"m")
             print(" ") 
             exit 
@@ -835,5 +899,7 @@
             if (ye .LE. 0-delta_y/2)
                print(" ")
-               print("range end for y-coordinate = "+ye+"m is equal or lower than first value = "+(0-delta_y/2)+"m")
+               print("range end for y-coordinate = "+\
+                     ye+"m is equal or lower than first value = "+\
+                     (0-delta_y/2)+"m")
                print(" ")
                exit
@@ -841,5 +907,6 @@
             if (ye .LE. ys) then
                print(" ")
-               print("range end for y-coordinate = "+ye+"m is equal or lower than start range = "+ys+"m")
+               print("range end for y-coordinate = "+\
+                    ye+"m is equal or lower than start range = "+ys+"m")
                print(" ")
                exit
@@ -847,5 +914,7 @@
             if (ye .EQ. ys+1) then
                print(" ")
-               print("range end for y-coordinate = "+ye+"m must be at least two more gridpoints greater than start range = "+ys+"m")
+               print("range end for y-coordinate = "+\
+                     ye+"m must be at least two more gridpoints greater "+\
+                     "than start range = "+ys+"m")
                print(" ")
                exit
@@ -854,5 +923,6 @@
             if (ye .LT. 0-delta_y/2)
                print(" ")
-               print("range end for y-coordinate = "+ye+"m is lower than first value = "+(0-delta_y/2)+"m")
+               print("range end for y-coordinate = "+\
+                     ye+"m is lower than first value = "+(0-delta_y/2)+"m")
                print(" ")
                exit
@@ -860,5 +930,6 @@
             if (ye .LT. ys) then
                print(" ")
-               print("range end for y-coordinate = "+ye+"m is lower than start range = "+ys+"m")
+               print("range end for y-coordinate = "+\
+                     ye+"m is lower than start range = "+ys+"m")
                print(" ")
                exit
@@ -872,5 +943,6 @@
       if (delta_z .EQ. -1) then
          print(" ") 
-         print("You cannot choose an end value for z, there are preseted layers for z")
+         print("You cannot choose an end value for z, "+\
+               "there are preset layers for z")
          print(" ")
          ze = zdim
@@ -879,5 +951,6 @@
       if (delta_z .EQ. -1) then
          print(" ") 
-         print("You cannot choose an end value for z, there are preseted layers for z")
+         print("You cannot choose an end value for z, "+\
+               "there are preset layers for z")
          print(" ")
          ze = zdim
@@ -885,5 +958,6 @@
          if (ze .GT. zdim) then
             print(" ")
-            print("range end for z-coordinate = "+ze+" is greater than last gridpoint = "+zdim)
+            print("range end for z-coordinate = "+\
+                  ze+" is greater than last gridpoint = "+zdim)
             print(" ") 
             exit 
@@ -892,5 +966,6 @@
             if (ze .LE. 0)
                print(" ")
-               print("range end for z-coordinate = "+ze+" is equal or lower than first gridpoint = 0")
+               print("range end for z-coordinate = "+\
+                     ze+" is equal or lower than first gridpoint = 0")
                print(" ")
                exit
@@ -898,5 +973,6 @@
             if (ze .LE. zs) then
                print(" ")
-               print("range end for z-coordinate = "+ze+" is equal or lower than start range = "+zs)
+               print("range end for z-coordinate = "+\
+                     ze+" is equal or lower than start range = "+zs)
                print(" ")
                exit
@@ -904,5 +980,7 @@
             if (ze .EQ. zs+1) then
                print(" ")
-               print("range end for z-coordinate = "+ze+" must be at least two more gridpoints greater than start range = "+zs)
+               print("range end for z-coordinate = "+\
+                     ze+" must be at least two more gridpoints "+\
+                     "greater than start range = "+zs)
                print(" ")
                exit
@@ -911,5 +989,6 @@
             if (ze .LT. 0)
                print(" ")
-               print("range end for z-coordinate = "+ze+" is lower than first gridpoint = 0")
+               print("range end for z-coordinate = "+\
+                     ze+" is lower than first gridpoint = 0")
                print(" ")
                exit
@@ -917,5 +996,6 @@
             if (ze .LT. zs) then
                print(" ")
-               print("range end for z-coordinate = "+ze+" is lower than start range = "+zs)
+               print("range end for z-coordinate = "+\
+                     ze+" is lower than start range = "+zs)
                print(" ")
                exit
@@ -1066,5 +1146,6 @@
 	 if (ar .GT. 0)
 	    do min_ar=0,3
-                array_minor_yl(4*(ar-1)+min_ar)= y_d(array_yl(ar-1))+(y_d(array_yl(ar))-y_d(array_yl(ar-1)))/5*(min_ar+1)
+                array_minor_yl(4*(ar-1)+min_ar)= y_d(array_yl(ar-1))+\
+                         (y_d(array_yl(ar))-y_d(array_yl(ar-1)))/5*(min_ar+1)
 	    end do 
 	 end if	 
@@ -1075,5 +1156,6 @@
 	 if (br .GT. 0)
 	    do min_br=0,3
-	       array_minor_xb(4*(br-1)+min_br)= x_d(array_xb(br-1))+(x_d(array_xb(br))-x_d(array_xb(br-1)))/5*(min_br+1)
+	       array_minor_xb(4*(br-1)+min_br)= x_d(array_xb(br-1))+\
+                         (x_d(array_xb(br))-x_d(array_xb(br-1)))/5*(min_br+1)
 	    end do 
 	 end if	
@@ -1099,5 +1181,6 @@
 	 if (ar .GT. 0)
 	    do min_ar=0,3
-	       array_minor_yl(4*(ar-1)+min_ar)= z_d(array_yl(ar-1))+(z_d(array_yl(ar))-z_d(array_yl(ar-1)))/5*(min_ar+1)
+	       array_minor_yl(4*(ar-1)+min_ar)= z_d(array_yl(ar-1))+\
+                          (z_d(array_yl(ar))-z_d(array_yl(ar-1)))/5*(min_ar+1)
 	    end do 
 	 end if	 
@@ -1108,5 +1191,6 @@
 	 if (br .GT. 0)
 	    do min_br=0,3
-	       array_minor_xb(4*(br-1)+min_br)= x_d(array_xb(br-1))+(x_d(array_xb(br))-x_d(array_xb(br-1)))/5*(min_br+1)
+	       array_minor_xb(4*(br-1)+min_br)= x_d(array_xb(br-1))+\
+                         (x_d(array_xb(br))-x_d(array_xb(br-1)))/5*(min_br+1)
 	    end do 
 	 end if	
@@ -1132,5 +1216,6 @@
 	 if (ar .GT. 0)
 	    do min_ar=0,3
-               array_minor_yl(4*(ar-1)+min_ar)= z_d(array_yl(ar-1))+(z_d(array_yl(ar))-z_d(array_yl(ar-1)))/5*(min_ar+1)
+               array_minor_yl(4*(ar-1)+min_ar)= z_d(array_yl(ar-1))+\
+                         (z_d(array_yl(ar))-z_d(array_yl(ar-1)))/5*(min_ar+1)
 	    end do 
 	 end if	 
@@ -1141,5 +1226,6 @@
 	 if (br .GT. 0)
 	    do min_br=0,3
-	       array_minor_xb(4*(br-1)+min_br)= y_d(array_xb(br-1))+(y_d(array_xb(br))-y_d(array_xb(br-1)))/5*(min_br+1)
+	       array_minor_xb(4*(br-1)+min_br)= y_d(array_xb(br-1))+\
+                         (y_d(array_xb(br))-y_d(array_xb(br-1)))/5*(min_br+1)
 	    end do 
 	 end if	
@@ -1229,6 +1315,8 @@
       if (xe .EQ. xs+1) then
          print(" ")
-         print("range end for x-coordinate="+xe*delta_x+"m) must be at least two") 
-         print("more gridpoints(="+2*delta_x+"m) greater than start range="+xs*delta_x+"m)")
+         print("range end for x-coordinate="+xe*delta_x+\
+               "m must be at least two") 
+         print("more gridpoints(="+2*delta_x+"m) greater than start range="+\
+               xs*delta_x+"m)")
          print(" ")
          exit
@@ -1238,6 +1326,8 @@
       if (ye .EQ. ys+1) then
          print(" ")
-         print("range end for y-coordinate="+ye*delta_y+"m) must be at least two") 
-         print("more gridpoints(="+2*delta_y+"m) greater than start range="+ys*delta_y+"m)")
+         print("range end for y-coordinate="+ye*delta_y+\
+               "m must be at least two") 
+         print("more gridpoints(="+2*delta_y+"m greater than start range="+\
+               ys*delta_y+"m)")
          print(" ")
          exit
@@ -1247,5 +1337,5 @@
       if (ze .EQ. zs+1) then
          print(" ")
-         print("range end for x-coordinate="+ze+") must be at least two") 
+         print("range end for z-coordinate="+ze+" must be at least two") 
          print("more gridpoints greater than start range="+zs+")")
          print(" ")
@@ -1307,12 +1397,52 @@
    no_zu1=0
 
-   do varn=dim-1,0,1        
+   ;****************************************************
+   ; Preparation of vector plots
+   ; ****************************************************       
+
+   do varn=dim-1,0,1 
+
+     if (vector .EQ. 1) then    
+        check_vec1 = isStrSubset( vec1,","+vNam(varn)+",")
+        if (check_vec1) then
+            temp = f[:]->$vNam(varn)$
+	    data_att = f_att->$vNam(varn)$
+            vect1=temp(:,zs:ze,ys:ye,xs:xe) 
+            delete(temp)
+         end if
+
+         check_vec2 = isStrSubset( vec2,","+vNam(varn)+",")
+         if (check_vec2) then
+            temp = f[:]->$vNam(varn)$
+	    data_att = f_att->$vNam(varn)$
+            vect2=temp(:,zs:ze,ys:ye,xs:xe) 
+            delete(temp)
+         end if
     
-      if (vector .EQ. 1) then    
-         check_vec1 = isStrSubset( vec1,","+vNam(varn)+",")
-         check_vec2 = isStrSubset( vec2,","+vNam(varn)+",")
-      end if
+         if (","+vNam(varn)+"," .EQ. vec1) then
+            v1=v1+1
+         end if
+         if (","+vNam(varn)+"," .EQ. vec2) then
+             v2=v2+1
+          end if
+     end if
+
+   end do
+
+
+
+   do varn=dim-1,0,1     
            
-      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or. vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or. vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or. vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or. vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or. vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or. vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or. vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or. vNam(varn) .eq. "ind_x_yz") then
+      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or.          \
+           vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or.          \
+           vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or.      \
+           vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or.     \
+           vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or.         \
+           vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or.        \
+           vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or.   \
+           vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or.  \
+           vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. \
+           vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or.     \
+           vNam(varn) .eq. "ind_x_yz") then
          check = False
       else
@@ -1327,13 +1457,4 @@
       
          no_var=no_var+1
-
-         if (vector .EQ. 1) then
-            if (","+vNam(varn)+"," .EQ. vec1) then
-               v1=v1+1
-            end if
-            if (","+vNam(varn)+"," .EQ. vec2) then
-               v2=v2+1
-            end if
-         end if 
 
          if (xyc .EQ. 1) then
@@ -1348,5 +1469,6 @@
               .or. vNam(varn) .eq. "shf*_xy" .or. vNam(varn) .eq. "t*_xy"   \
               .or. vNam(varn) .eq. "u*_xy" .or. vNam(varn) .eq. "z0*_xy") then
-              ;these variables depend on zu1_xy and that's why they have only one z-layer
+              ;these variables depend on zu1_xy and that's why they have 
+              ;only one z-layer
               data(varn,:,0,:,:)=temp(:,0,ys:ye,xs:xe) 
               no_zu1=no_zu1+1
@@ -1368,10 +1490,4 @@
             delete(temp)
          end if
-         if (check_vec1) then
-            vect1=data(varn,:,:,:,:)
-         end if
-         if (check_vec2) then
-            vect2=data(varn,:,:,:,:)
-         end if
 
          data!0 = "var"
@@ -1381,6 +1497,8 @@
    	 data!4 = "x"  
 
-         MinVal(varn) = min(data(varn,start_time_step:end_time_step,0:(ze-zs),0:(ye-ys),0:(xe-xs)))
-         MaxVal(varn) = max(data(varn,start_time_step:end_time_step,0:(ze-zs),0:(ye-ys),0:(xe-xs)))
+         MinVal(varn) = min(data(varn,start_time_step:end_time_step,\
+                                               0:(ze-zs),0:(ye-ys),0:(xe-xs)))
+         MaxVal(varn) = max(data(varn,start_time_step:end_time_step,\
+                                               0:(ze-zs),0:(ye-ys),0:(xe-xs)))
 	 
 	 unit(varn) = data_att@units
@@ -1405,10 +1523,20 @@
    do varn=dim-1,0,1   
     
-      if (vector .EQ. 1) then    
-         check_vec1 = isStrSubset( vec1,","+vNam(varn)+",")
-         check_vec2 = isStrSubset( vec2,","+vNam(varn)+",")
-      end if
+      ;if (vector .EQ. 1) then    
+      ;   check_vec1 = isStrSubset( vec1,","+vNam(varn)+",")
+      ;   check_vec2 = isStrSubset( vec2,","+vNam(varn)+",")
+      ;end if
            
-      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or. vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or. vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or. vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or. vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or. vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or. vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or. vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or. vNam(varn) .eq. "ind_x_yz") then
+      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or.          \
+           vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or.          \
+           vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or.      \
+           vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or.     \
+           vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or.         \
+           vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or.        \
+           vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or.   \
+           vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or.  \
+           vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. \
+           vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or.     \
+           vNam(varn) .eq. "ind_x_yz") then
          check = False
       else
